Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.impl
Class SubmissionSetTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.xds.metadata.impl.SubmissionSetTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, SubmissionSetType

    public class SubmissionSetTypeImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements SubmissionSetType

An implementation of the model object 'Submission Set Type'.

The following features are implemented:

- `Associated Documents`
- `Associated Folders`
- `Author`
- `Availability Status`
- `Comments`
- `Content Type Code`
- `Entry UUID`
- `Patient Id`
- `Source Id`
- `Submission Time`
- `Title`
- `Unique Id`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetComments(InternationalStringType newComments, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetContentTypeCode(CodedMetadataType newContentTypeCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetPatientId(CX newPatientId, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTitle(InternationalStringType newTitle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList` | `getAssociatedDocuments()`
`org.eclipse.emf.common.util.EList` | `getAssociatedFolders()`
`org.eclipse.emf.common.util.EList` | `getAuthor()`
`AvailabilityStatusType` | `getAvailabilityStatus()`
`InternationalStringType` | `getComments()`
`CodedMetadataType` | `getContentTypeCode()`
`java.lang.String` | `getEntryUUID()`
`CX` | `getPatientId()`
`java.lang.String` | `getSourceId()`
`java.lang.String` | `getSubmissionTime()`
`InternationalStringType` | `getTitle()`
`java.lang.String` | `getUniqueId()`
`boolean` | `isSetAvailabilityStatus()`
`void` | `setAvailabilityStatus(AvailabilityStatusType newAvailabilityStatus)`
`void` | `setComments(InternationalStringType newComments)`
`void` | `setContentTypeCode(CodedMetadataType newContentTypeCode)`
`void` | `setEntryUUID(java.lang.String newEntryUUID)`
`void` | `setPatientId(CX newPatientId)`
`void` | `setSourceId(java.lang.String newSourceId)`
`void` | `setSubmissionTime(java.lang.String newSubmissionTime)`
`void` | `setTitle(InternationalStringType newTitle)`
`void` | `setUniqueId(java.lang.String newUniqueId)`
`java.lang.String` | `toString()`
`void` | `unsetAvailabilityStatus()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getAssociatedDocuments

    public org.eclipse.emf.common.util.EList getAssociatedDocuments()

  Specified by:
    `getAssociatedDocuments` in interface `SubmissionSetType`
  Returns:
    the value of the 'Associated Documents' attribute list.
  See Also:
    `MetadataPackage.getSubmissionSetType_AssociatedDocuments()`

### getAssociatedFolders

    public org.eclipse.emf.common.util.EList getAssociatedFolders()

  Specified by:
    `getAssociatedFolders` in interface `SubmissionSetType`
  Returns:
    the value of the 'Associated Folders' attribute list.
  See Also:
    `MetadataPackage.getSubmissionSetType_AssociatedFolders()`

### getAuthor

    public org.eclipse.emf.common.util.EList getAuthor()

  Specified by:
    `getAuthor` in interface `SubmissionSetType`
  Returns:
    the value of the 'Author' containment reference list.
  See Also:
    `MetadataPackage.getSubmissionSetType_Author()`

### getAvailabilityStatus

    public AvailabilityStatusType getAvailabilityStatus()

  Specified by:
    `getAvailabilityStatus` in interface `SubmissionSetType`
  Returns:
    the value of the 'Availability Status' attribute.
  See Also:
    `AvailabilityStatusType`, `SubmissionSetType.isSetAvailabilityStatus()`, `SubmissionSetType.unsetAvailabilityStatus()`, `SubmissionSetType.setAvailabilityStatus(AvailabilityStatusType)`, `MetadataPackage.getSubmissionSetType_AvailabilityStatus()`

### setAvailabilityStatus

    public void setAvailabilityStatus(AvailabilityStatusType newAvailabilityStatus)

  Specified by:
    `setAvailabilityStatus` in interface `SubmissionSetType`
  Parameters:
    `newAvailabilityStatus` - the new value of the 'Availability Status' attribute.
  See Also:
    `AvailabilityStatusType`, `SubmissionSetType.isSetAvailabilityStatus()`, `SubmissionSetType.unsetAvailabilityStatus()`, `SubmissionSetType.getAvailabilityStatus()`

### unsetAvailabilityStatus

    public void unsetAvailabilityStatus()

  Specified by:
    `unsetAvailabilityStatus` in interface `SubmissionSetType`
  See Also:
    `SubmissionSetType.isSetAvailabilityStatus()`, `SubmissionSetType.getAvailabilityStatus()`, `SubmissionSetType.setAvailabilityStatus(AvailabilityStatusType)`

### isSetAvailabilityStatus

    public boolean isSetAvailabilityStatus()

  Specified by:
    `isSetAvailabilityStatus` in interface `SubmissionSetType`
  Returns:
    whether the value of the 'Availability Status' attribute is set.
  See Also:
    `SubmissionSetType.unsetAvailabilityStatus()`, `SubmissionSetType.getAvailabilityStatus()`, `SubmissionSetType.setAvailabilityStatus(AvailabilityStatusType)`

### getComments

    public InternationalStringType getComments()

  Specified by:
    `getComments` in interface `SubmissionSetType`
  Returns:
    the value of the 'Comments' containment reference.
  See Also:
    `SubmissionSetType.setComments(InternationalStringType)`, `MetadataPackage.getSubmissionSetType_Comments()`

### basicSetComments

    public org.eclipse.emf.common.notify.NotificationChain basicSetComments(InternationalStringType newComments,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setComments

    public void setComments(InternationalStringType newComments)

  Specified by:
    `setComments` in interface `SubmissionSetType`
  Parameters:
    `newComments` - the new value of the 'Comments' containment reference.
  See Also:
    `SubmissionSetType.getComments()`

### getContentTypeCode

    public CodedMetadataType getContentTypeCode()

  Specified by:
    `getContentTypeCode` in interface `SubmissionSetType`
  Returns:
    the value of the 'Content Type Code' containment reference.
  See Also:
    `SubmissionSetType.setContentTypeCode(CodedMetadataType)`, `MetadataPackage.getSubmissionSetType_ContentTypeCode()`

### basicSetContentTypeCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetContentTypeCode(CodedMetadataType newContentTypeCode,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

### setContentTypeCode

    public void setContentTypeCode(CodedMetadataType newContentTypeCode)

  Specified by:
    `setContentTypeCode` in interface `SubmissionSetType`
  Parameters:
    `newContentTypeCode` - the new value of the 'Content Type Code' containment reference.
  See Also:
    `SubmissionSetType.getContentTypeCode()`

### getEntryUUID

    public java.lang.String getEntryUUID()

  Specified by:
    `getEntryUUID` in interface `SubmissionSetType`
  Returns:
    the value of the 'Entry UUID' attribute.
  See Also:
    `SubmissionSetType.setEntryUUID(String)`, `MetadataPackage.getSubmissionSetType_EntryUUID()`

### setEntryUUID

    public void setEntryUUID(java.lang.String newEntryUUID)

  Specified by:
    `setEntryUUID` in interface `SubmissionSetType`
  Parameters:
    `newEntryUUID` - the new value of the 'Entry UUID' attribute.
  See Also:
    `SubmissionSetType.getEntryUUID()`

### getPatientId

    public CX getPatientId()

  Specified by:
    `getPatientId` in interface `SubmissionSetType`
  Returns:
    the value of the 'Patient Id' containment reference.
  See Also:
    `SubmissionSetType.setPatientId(CX)`, `MetadataPackage.getSubmissionSetType_PatientId()`

### basicSetPatientId

    public org.eclipse.emf.common.notify.NotificationChain basicSetPatientId(CX newPatientId,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setPatientId

    public void setPatientId(CX newPatientId)

  Specified by:
    `setPatientId` in interface `SubmissionSetType`
  Parameters:
    `newPatientId` - the new value of the 'Patient Id' containment reference.
  See Also:
    `SubmissionSetType.getPatientId()`

### getSourceId

    public java.lang.String getSourceId()

  Specified by:
    `getSourceId` in interface `SubmissionSetType`
  Returns:
    the value of the 'Source Id' attribute.
  See Also:
    `SubmissionSetType.setSourceId(String)`, `MetadataPackage.getSubmissionSetType_SourceId()`

### setSourceId

    public void setSourceId(java.lang.String newSourceId)

  Specified by:
    `setSourceId` in interface `SubmissionSetType`
  Parameters:
    `newSourceId` - the new value of the 'Source Id' attribute.
  See Also:
    `SubmissionSetType.getSourceId()`

### getSubmissionTime

    public java.lang.String getSubmissionTime()

  Specified by:
    `getSubmissionTime` in interface `SubmissionSetType`
  Returns:
    the value of the 'Submission Time' attribute.
  See Also:
    `SubmissionSetType.setSubmissionTime(String)`, `MetadataPackage.getSubmissionSetType_SubmissionTime()`

### setSubmissionTime

    public void setSubmissionTime(java.lang.String newSubmissionTime)

  Specified by:
    `setSubmissionTime` in interface `SubmissionSetType`
  Parameters:
    `newSubmissionTime` - the new value of the 'Submission Time' attribute.
  See Also:
    `SubmissionSetType.getSubmissionTime()`

### getTitle

    public InternationalStringType getTitle()

  Specified by:
    `getTitle` in interface `SubmissionSetType`
  Returns:
    the value of the 'Title' containment reference.
  See Also:
    `SubmissionSetType.setTitle(InternationalStringType)`, `MetadataPackage.getSubmissionSetType_Title()`

### basicSetTitle

    public org.eclipse.emf.common.notify.NotificationChain basicSetTitle(InternationalStringType newTitle,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setTitle

    public void setTitle(InternationalStringType newTitle)

  Specified by:
    `setTitle` in interface `SubmissionSetType`
  Parameters:
    `newTitle` - the new value of the 'Title' containment reference.
  See Also:
    `SubmissionSetType.getTitle()`

### getUniqueId

    public java.lang.String getUniqueId()

  Specified by:
    `getUniqueId` in interface `SubmissionSetType`
  Returns:
    the value of the 'Unique Id' attribute.
  See Also:
    `SubmissionSetType.setUniqueId(String)`, `MetadataPackage.getSubmissionSetType_UniqueId()`

### setUniqueId

    public void setUniqueId(java.lang.String newUniqueId)

  Specified by:
    `setUniqueId` in interface `SubmissionSetType`
  Parameters:
    `newUniqueId` - the new value of the 'Unique Id' attribute.
  See Also:
    `SubmissionSetType.getUniqueId()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD